Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158690 - Kernel RPM install violates grub config
Summary: Kernel RPM install violates grub config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 20:52 UTC by Jonathan S. Shapiro
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: fc4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-24 19:19:19 UTC


Attachments (Terms of Use)

Description Jonathan S. Shapiro 2005-05-24 20:52:59 UTC
I have noticed that kernel updates are breaking my system configuration. If I
have grub configured to boot a Xen kernel, and install an updated "conventional"
kernel RPM, my grub default gets whacked to point to the new kernel.

Unfortunately, this could have a negative effect. A machine that is running
multiple logical machines before the upgrade stops running them once it is rebooted.

My sense is that the default grub configuration should only be moved forward if
the new kernel is of the same "type" as the pre-update default. That is,
installing kernel-smp should only update my grub default if the current default
is an SMP kernel. Installing a xen kernel should only update my default if the
current default is a xen kernel, and so forth.

But the important thing is that logical machines shouldn't spontaneously fail to
restart merely because the xen kernel update is trailing the conventional kernel
update.

Comment 1 Dave Jones 2005-05-25 01:11:25 UTC
Sounds like functionality that needs adding to grubby (which for some reason is
in the mkinitrd package).


Comment 2 Jonathan S. Shapiro 2005-05-25 16:39:29 UTC
Sorry about the misdirected package. Grubby sounds plausible as the culprit.

Comment 3 Jeremy Katz 2006-02-24 19:19:19 UTC
This logic should be handled correctly now, although there's the "extra" piece
of needing to set DEFAULTKERNEL in /etc/sysconfig/kernel


Note You need to log in before you can comment on or make changes to this bug.